# Enum cargo::ops::vendor::VendorSource

source ·

    enum VendorSource {
        Directory {
            directory: String,
        },
        Registry {
            registry: Option<String>,
            replace_with: String,
        },
        Git {
            git: String,
            branch: Option<String>,
            tag: Option<String>,
            rev: Option<String>,
            replace_with: String,
        },
    }

## Variants§

§

### Directory

#### Fields

§`directory: String`
§

### Registry

#### Fields

§`registry: Option<String>`
§`replace_with: String`
§

### Git

#### Fields

§`git: String`
§`branch: Option<String>`
§`tag: Option<String>`
§`rev: Option<String>`
§`replace_with: String`

## Trait Implementations§

source§

### impl Serialize for VendorSource

source§

#### fn serialize<__S>(&self, __serializer: __S) -> Result<__S::Ok, __S::Error>where __S: Serializer,

Serialize this value into the given Serde serializer. Read more

## Auto Trait Implementations§

§

### impl RefUnwindSafe for VendorSource

§

### impl Send for VendorSource

§

### impl Sync for VendorSource

§

### impl Unpin for VendorSource

§

### impl UnwindSafe for VendorSource

## Blanket Implementations§

source§

### impl<T> Any for Twhere T: 'static + ?Sized,

source§

#### fn type_id(&self) -> TypeId

Gets the `TypeId` of `self`. Read more
source§

### impl<T> Borrow<T> for Twhere T: ?Sized,

source§

#### fn borrow(&self) -> &T

Immutably borrows from an owned value. Read more
source§

### impl<T> BorrowMut<T> for Twhere T: ?Sized,

source§

#### fn borrow_mut(&mut self) -> &mut T

Mutably borrows from an owned value. Read more
source§

### impl<T> From<T> for T

source§

#### fn from(t: T) -> T

Returns the argument unchanged.

source§

### impl<T, U> Into<U> for Twhere U: From<T>,

source§

#### fn into(self) -> U

Calls `U::from(self)`.

That is, this conversion is whatever the implementation of `From<T> for U` chooses to do.

source§

### impl<T> Same<T> for T

§

#### type Output = T

Should always be `Self`
source§

### impl<T, U> TryFrom<U> for Twhere U: Into<T>,

§

#### type Error = Infallible

The type returned in the event of a conversion error.
source§

#### fn try_from(value: U) -> Result<T, <T as TryFrom<U>>::Error>

Performs the conversion.
source§

### impl<T, U> TryInto<U> for Twhere U: TryFrom<T>,

§

#### type Error = <U as TryFrom<T>>::Error

The type returned in the event of a conversion error.
source§

#### fn try_into(self) -> Result<U, <U as TryFrom<T>>::Error>

Performs the conversion.
§

### impl<V, T> VZip<V> for Twhere V: MultiLane<T>,

§

#### fn vzip(self) -> V

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference’s “Type Layout” chapter for details on type layout guarantees.

Size:128 bytes

Size for each variant:

- `Directory`: 24 bytes
- `Registry`: 48 bytes
- `Git`: 120 bytes